Package org.springframework.ui.context.support

# Class SimpleTheme

java.lang.Object
org.springframework.ui.context.support.SimpleTheme

All Implemented Interfaces:
  `Theme`

@Deprecated(since="6.0") public class SimpleTheme extends Object implements Theme
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
Default `Theme` implementation, wrapping a name and an underlying `MessageSource`.

Since:
  17.06.2003
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`SimpleTheme(String name, MessageSource messageSource)`
Deprecated.
Create a SimpleTheme.

## Method Summary

Modifier and Type
Method
Description
`final MessageSource`
`getMessageSource()`
Deprecated.
Return the specific MessageSource that resolves messages with respect to this theme.
`final String`
`getName()`
Deprecated.
Return the name of the theme.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleTheme

public SimpleTheme(String name, MessageSource messageSource)
Deprecated.
Create a SimpleTheme.

Parameters:
  `name` - the name of the theme
  `messageSource` - the MessageSource that resolves theme messages

## Method Details

### getName

public final String getName()
Deprecated.
Description copied from interface: `Theme`
Return the name of the theme.

Specified by:
  `getName` in interface `Theme`
Returns:
  the name of the theme (never `null`)

### getMessageSource

public final MessageSource getMessageSource()
Deprecated.
Description copied from interface: `Theme`
Return the specific MessageSource that resolves messages with respect to this theme.

Specified by:
  `getMessageSource` in interface `Theme`
Returns:
  the theme-specific MessageSource (never `null`)